## org.apache.mahout.utils.vectors.io
Class DelimitedTermInfoWriter

    java.lang.Object
      org.apache.mahout.utils.vectors.io.DelimitedTermInfoWriter

All Implemented Interfaces:
  Closeable, TermInfoWriter

    public class DelimitedTermInfoWriter

extends Object
implements TermInfoWriter

Write `TermInfo` to a `Writer` in a textual, delimited format with header.

Constructor Summary
`DelimitedTermInfoWriter(Writer writer, String delimiter, String field)`

Method Summary
`void` `close()` Does NOT close the underlying writer
`void` `write(TermInfo ti)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelimitedTermInfoWriter

    public DelimitedTermInfoWriter(Writer writer,
                                   String delimiter,
                                   String field)

Method Detail

### write

    public void write(TermInfo ti)
               throws IOException

  Specified by:
    `write` in interface `TermInfoWriter`
  Throws:
    `IOException`

### close

    public void close()

  Does NOT close the underlying writer

  Specified by:
    `close` in interface `Closeable`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.